version = "1.0"
container_url = "xgrand/r-scripts:${version}"

params.start_position_counts_out = ""
process start_position_individuals{
  container = "${container_url}"
  label "small_mem_mono_cpus"
  tag "start positions"
  if (params.start_position_counts_out != "") {
    publishDir "results/${params.start_position_counts_out}", mode: 'copy'
  }

  input:
    path(start_position_counts)

  output:
    path("Rplots.pdf")
    path("Count_reads_per_promoter.tsv")
    path("classification_of_reads_per_RNA.txt"), emit: classification_of_reads

  script:
    """
    Rscript start_positions.R -i start_position_counts
    """
}